/*!
* distribute.it
* Copyright (c) 2011 Peter Sunde <peter.sunde@gmail.com>
* MIT Licensed
*/

var util = require('.././lib/util/util.js')
    , fs = require('fs')
    , assert = require('assert');

var current = ''
    , i = 1;
    
exports.setup = function(done) {
    "tmp/directory/folder/recursive/map/ninja/ninja2".split("/").forEach(function(directory) {
        if(!current) {
            current = './' + directory;
        } else {
            current += "/" + directory;
        }
        var stat = fs.lstatSync(current);
        if(stat.isDirectory()) return;
        fs.mkdirSync(current,  0755);
        fs.writeFileSync(current + "/" + 'test' + i + '.js', 'random test');
        i++;
    });
    done();
}

exports['get a recursive list of files'] = function(done) {
    var path = process.cwd() + "/tmp";
    util.readdir(path, function(err, files) {
        assert.equal(err, null);
        assert.equal(Array.isArray(files), true);
        assert.equal(files.length, 7);        
        done();
    });
}
